Bug 1021742 - Docs are unclear about using virt-who on RHEL based Hypervisors
Docs are unclear about using virt-who on RHEL based Hypervisors
Status: CLOSED NOTABUG
Product: Subscription Asset Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
1.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Deon Ballard
Katello Bug Bin
: Reopened
Depends On:
Blocks: sam13-tracker
  Show dependency treegraph
 
Reported: 2013-10-21 20:42 EDT by Kyle Benson
Modified: 2013-11-01 11:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-01 10:21:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kyle Benson 2013-10-21 20:42:45 EDT
Description of problem:
In the newest release of documentation for SAM 1.3, the documentation is tremendously unclear about the usage of virt-who on RHEL based hypervisors


Version-Release number of selected component (if applicable):
1.3

Problematic Section: 7.1

Text in question:
"The hypervisor is registered first with Subscription Asset Manager, and then a related process on the system scans for any guests and submits the discovered UUIDs to the subscription service. For VMWare ESX hypervisors, this process is virt-who. For Red Hat Enterprise Linux hypervisors such as Xen and KVM, this is done through the libvirt process when the rhn-virtualization-host command is run."

https://access.redhat.com/site/documentation/en-US/Red_Hat_Subscription_Management/1/html-single/Using_Subscription_Asset_Manager/index.html#sam-host-guest-map

Suggestion for improvement:

In the previous docs for 1.2, the following section goes into greater detail about using SAM in a virtualized environment and the role of virt-who on RHEL based Hypervisors:

https://access.redhat.com/site/documentation/en-US/Red_Hat_Subscription_Asset_Manager/1.2/html-single/Installation_Guide/index.html#chap-Installation_Guide-Virtual_Environments


The current docs should reflect this importance as well.

Additional info:
Comment 1 Kyle Benson 2013-10-24 06:24:21 EDT
Could I get some clarification on why this was closed? The 'rhn-virtualization-host' package is only available for clients that subscribe to the RHN Tools channel. Which isn't an available repository when subscribed via RHSM.

https://rhn.redhat.com/rhn/software/packages/details/Overview.do?pid=602065

[root@sat-montana ~]# yum repolist all | grep -i tool
This system is receiving updates from Red Hat Subscription Management.
This system is not registered with RHN Classic or RHN Satellite.
You can use rhn_register to register.
RHN Satellite or RHN Classic support will be disabled.
rhel-6-server-cf-tools-1-beta-debug-rpms     Red Hat CloudForms  disabled
rhel-6-server-cf-tools-1-beta-rpms           Red Hat CloudForms  disabled
rhel-6-server-cf-tools-1-beta-source-rpms    Red Hat CloudForms  disabled
rhel-6-server-cf-tools-1-debug-rpms          Red Hat CloudForms  disabled
rhel-6-server-cf-tools-1-rpms                Red Hat CloudForms  enabled:     31
rhel-6-server-cf-tools-1-source-rpms         Red Hat CloudForms  disabled


So RHSM, and SAM guests, could not use that package.

Note You need to log in before you can comment on or make changes to this bug.